Summary:	GeoLite Country - Country database for GeoIP
Summary(pl.UTF-8):	GeoLite Country - baza danych krajów dla GeoIP
Name:		GeoIP-db-Country
# Updated every month:
Version:	2014.12.02
Release:	1
License:	CC 3.0 BY-SA
Group:		Applications/Databases
Source0:	http://geolite.maxmind.com/download/geoip/database/GeoLiteCountry/GeoIP.dat.gz?/GeoIP-%{version}.dat.gz
# Source0-md5:	53416cd33e556a8048ac522fc9a98e05
Source1:	http://geolite.maxmind.com/download/geoip/database/GeoIPv6.dat.gz?/GeoIPv6-%{version}.dat.gz
# Source1-md5:	f1a4abf4015c0300267f4717c9d7ead2
URL:		http://dev.maxmind.com/geoip/legacy/geolite/
Requires:	GeoIP-libs >= 1.4.5-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GeoLite Country is similar to the GeoIP Country database, but is not
as accurate. Should you require greater accuracy, GeoIP Country is a
drop-in replacement for GeoLite Country.

License disclaimer: this product includes GeoLite data created by
MaxMind, available from <http://www.maxmind.com/>.

%description -l pl.UTF-8
GeoLite Country jest podobna do bazy danych GeoIP Country, ale nie
jest tak dokładna. Jeśli wymagana jest większa dokładność, GeoIP
Country jest zamiennikiem GeoLite Country.

Informacja licencyjna: ten produkt zawiera dane GeoLite stworzone
przez MaxWind, dostępne z <http://www.maxwind.com/>.

%prep
%setup -qcT
cp -p %{SOURCE0} .
cp -p %{SOURCE1} .

gzip -d GeoIP-%{version}.dat.gz GeoIPv6-%{version}.dat.gz
dt4=$(TZ=GMT stat -c '%y' GeoIP-%{version}.dat | awk '{print $1}' | tr - .)
dt5=$(TZ=GMT stat -c '%y' GeoIP-%{version}.dat | awk '{print $1}' | tr - .)
if [ "$(echo $dt4 | tr -d .)" -gt "$(echo $dt6 | tr -d .)" ]; then
	ver=$dt4
else
	ver=$dt6
fi
if [ "$ver" != %{version} ]; then
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/GeoIP
cp -p GeoIP-%{version}.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoIP.dat
cp -p GeoIPv6-%{version}.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoIPv6.dat

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/GeoIP/*.dat
%changelog
* Wed Dec 03 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/GeoIP-db-Country.git;a=log;h=master

* Wed Dec 03 2014 Elan Ruusamäe <glen@delfi.ee> ec66b41
- up to 2014.12.02

* Tue Nov 11 2014 Elan Ruusamäe <glen@delfi.ee> 6330fe5
- up to 2014.11.05

* Thu Oct 09 2014 Elan Ruusamäe <glen@delfi.ee> be7aafe
- up to 2014.10.08

* Mon Sep 15 2014 Elan Ruusamäe <glen@delfi.ee> 062d623
- up to 2014.09.04

* Wed Sep 03 2014 Elan Ruusamäe <glen@delfi.ee> 7fd4d4c
- up to 2014.09.03

* Wed Aug 06 2014 Elan Ruusamäe <glen@delfi.ee> d83f23a
- up to 2014.08.06

* Mon Jul 07 2014 Elan Ruusamäe <glen@delfi.ee> 1cb4fda
- up to 2014.07.02

* Fri Jun 06 2014 Elan Ruusamäe <glen@delfi.ee> f8901bf
- up to 2014.06.04

* Thu May 08 2014 Elan Ruusamäe <glen@delfi.ee> 5ce450f
- up to 2014.05.06

* Wed Apr 30 2014 Elan Ruusamäe <glen@delfi.ee> 3e260ff
- up to 2014.04.02

* Mon Mar 10 2014 Elan Ruusamäe <glen@delfi.ee> fdeba21
- up to 2014.03.05

* Mon Mar 03 2014 Elan Ruusamäe <glen@delfi.ee> e615bf0
- version: use newest datafile (ipv4/ipv6)

* Fri Feb 28 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 5e7bac1
- rel 2; package IPv6 database, too; version tarballs locally

* Tue Feb 11 2014 Elan Ruusamäe <glen@delfi.ee> 9b95d5c
- up to 2014.02.05

* Mon Jan 13 2014 Elan Ruusamäe <glen@delfi.ee> e4e1cfa
- up to 2014.01.08

* Mon Dec 16 2013 Elan Ruusamäe <glen@delfi.ee> 0031add
- license is Creative Commons Attribution-ShareAlike 3.0 Unported
- update url

* Sun Dec 08 2013 Elan Ruusamäe <glen@delfi.ee> 3780da1
- up to 2013.12.05

* Thu Nov 07 2013 Elan Ruusamäe <glen@delfi.ee> 5a3658b
- update to 2013.11.06

* Tue Oct 22 2013 Elan Ruusamäe <glen@delfi.ee> 1ee694b
- release 2 (by relup.sh)

* Tue Oct 22 2013 Elan Ruusamäe <glen@delfi.ee> 9aac196
- avoid file conflict on GeoIP-libs package

